Loading...
Searching...
No Matches
BALL::TContour< T > Class Template Reference
Foundation Classes » General datastructures » Miscellaneous

`#include <BALL/DATATYPE/contour.h>`

## Public Member Functions

Constructors and Destructors
| TContour (Size num_lines=0, double start=0, double end=0)
| Default constructor.
| TContour (const TContour &contour)
| Copy constructor.
virtual | ~TContour ()
| Destructor.
Accessors
bool | getNextContourLine (TContourLine< T > &contour)
| Gives access to the next ContourLine. Returns false if we had already returned the last line.
Assignment
TContour & | operator= (const TContour &rhs)
| Assignment operator.
void | apply (TRegularData2D< T > &data)
virtual void | clear ()
| Clear method.
void | resetCounter ()
| Reset the ContourLine-counter.

## Predicates

std::vector< TContourLine< T > > | lines_
Size | num_lines_
double | start_
double | end_
std::vector< TContourLine< T > >::const_iterator | it_
Position | index_
bool | operator== (const TContour &contour) const
| Equality operator.

## Detailed Description

template<typename T>
class BALL::TContour< T >

This class is intended to create and store ContourLines belonging to the same data-set.

Definition at line 27 of file contour.h.

## Constructor & Destructor Documentation

## TContour() [1/2]

template<typename T>

BALL::TContour< T >::TContour | ( | Size | num_lines = 0,
|  | double | start = 0,
|  | double | end = 0 )

Default constructor.

Definition at line 98 of file contour.h.

## TContour() [2/2]

template<typename T>

BALL::TContour< T >::TContour | ( | const TContour< T > & | contour | ) |

Copy constructor.

Definition at line 103 of file contour.h.

## ~TContour()

template<typename T>

BALL::TContour< T >::~TContour | ( |  | ) |

virtual

Destructor.

Definition at line 108 of file contour.h.

## Member Function Documentation

## apply()

template<typename T>

void BALL::TContour< T >::apply | ( | TRegularData2D< T > & | data | ) |

Definition at line 139 of file contour.h.

## clear()

template<typename T>

void BALL::TContour< T >::clear | ( |  | ) |

virtual

Clear method.

Definition at line 122 of file contour.h.

## getNextContourLine()

template<typename T>

bool BALL::TContour< T >::getNextContourLine | ( | TContourLine< T > & | contour | ) |

Gives access to the next ContourLine. Returns false if we had already returned the last line.

Definition at line 159 of file contour.h.

## operator=()

template<typename T>

TContour< T > & BALL::TContour< T >::operator= | ( | const TContour< T > & | rhs | ) |

Assignment operator.

Definition at line 113 of file contour.h.

## operator==()

template<typename T>

bool BALL::TContour< T >::operator== | ( | const TContour< T > & | contour | ) | const

Equality operator.

Definition at line 132 of file contour.h.

## resetCounter()

template<typename T>

void BALL::TContour< T >::resetCounter | ( |  | ) |

Reset the ContourLine-counter.

Definition at line 173 of file contour.h.

## Member Data Documentation

## end_

template<typename T>

double BALL::TContour< T >::end_

protected

Definition at line 87 of file contour.h.

## index_

template<typename T>

Position BALL::TContour< T >::index_

protected

Definition at line 89 of file contour.h.

## it_

template<typename T>

std::vector<TContourLine<T>>::const_iterator BALL::TContour< T >::it_

protected

Definition at line 88 of file contour.h.

## lines_

template<typename T>

std::vector< TContourLine<T> > BALL::TContour< T >::lines_

protected

Definition at line 84 of file contour.h.

## num_lines_

template<typename T>

Size BALL::TContour< T >::num_lines_

protected

Definition at line 85 of file contour.h.

## start_

template<typename T>

double BALL::TContour< T >::start_

protected

Definition at line 86 of file contour.h.